Tin tức

Ian Beer công bố PoC có thể giúp ích cho việc Jailbreak iOS/iPadOS 14.4-14.5.1

Các công cụ jailbreak hiện đại như Taurine và unc0ver hiện có thể jailbreak tất cả các thiết bị iOS/iPadOS 14.0 – 14.3. Đã khá lâu kể từ khi bất kỳ công cụ nào trong số này nhận hỗ trợ cho phiển bản mới hơn, nhưng luôn có khả năng rất thực tế là các công cụ này có thể thêm hỗ trợ chúng trong tương lai.

May mắn thay cho những người có thiết bị đang hoạt động trên iOS/iPadOS 14.4 đến 14.5.1 vì đã có một số hy vọng. Nhà nghiên cứu bảo mật nổi tiếng Ian Beer của Google Project Zero vừa phát hành tài liệu dường như là bằng chứng khái niệm cấp hạt nhân (PoC) ảnh hưởng từ iOS/iPadOS 14.4 đến iOS/iPadOS 14.5.1.

Theo ghi chú trên trang web của Apple, lỗi (CVE-2021-30736) hiện đã được vá trong iOS/iPadOS 14.6 trở lên, tuy nhiên nó tiếp tục ảnh hưởng đến tất cả các iPhone và iPad hiện đại hiện đang chạy iOS/iPadOS 14.4 đến 14.5.1 và có thể có khả năng cho phép một ứng dụng chạy mã tùy ý với các đặc quyền của hạt nhân.

Ian Beer đã phát hành công khai các lỗi và khai thác hạt nhân trong quá khứ, và nhiều lỗi trong số đó đã trở thành thành phần không thể thiếu của một số công cụ jailbreak được sử dụng nhiều nhất gần đây. Giả sử rằng PoC lỗi mới nhất có thể được các hacker tài năng trong cộng đồng Jailbreak khai thác toàn diện, thì các công cụ như Taurine và unc0ver có thể bổ sung hỗ trợ cho các phiên bản iOS/iPadOS mới.

Tuy nhiên, điều này có xảy ra hay không vẫn còn phải chờ đợi vì nó sẽ đòi hỏi nhiều công việc hơn. Và thật thú vị, việc tận dụng PoC này cũng có thể tốn nhiều công sức hơn giá trị của nó, vì nó dường như đề cập đến nhu cầu về bộ điều hợp Ethernet.

Chỉ chưa đầy hai tháng trước, sau bản phát hành công khai của iOS/iPadOS 14.6, việc thực thi mã tùy ý đã đạt được trên iOS/iPadOS 14.5.1 trở xuống thông qua một lỗ hổng bảo mật duy nhất theo hướng chứng chỉ bởi hacker @xerub. Một bản ghi về lỗ hổng cụ thể đó vẫn đang được xử lý với một lịch trình không xác định, tuy nhiên bản ghi mới của Ian Beer đã có sẵn .

Vì iOS và iPadOS 14.4 đến 14.5.1 không còn được Apple ký (sign), nên hầu hết người dùng iPhone và iPad sẽ không thể hạ cấp từ iOS/iPadOS 14.6 mới hơn mà không lưu shsh2 tại thời điểm nó được kí (sign). Đây là một trong những lý do tại sao chúng tôi liên tục khuyến cáo rằng cả những người dùng Jailbreak và những người chờ đợi Jailbreak nên ở trên phiên bản thấp nhất có thể và tránh cập nhật phần mềm, vì những phiên bản cũ hơn này là những phiên bản có nhiều khả năng bị Jailbreak.

Mặc dù không có gì đảm bảo rằng nghiên cứu bảo mật mới nhất của Beer sẽ tiếp tục hỗ trợ các nhóm Jailbreak cập nhật các công cụ hiện có hoặc phát hành các công cụ mới, nhưng thực sự thú vị khi xem các bài viết công khai và học hỏi từ các cơ chế mà họ sử dụng để hack iOS và iPadOS. Nếu không có gì khác, những PoC này có thể giúp các nhà nghiên cứu bảo mật có tham vọng học hỏi và trau dồi kỹ năng của họ và điều này tốt cho toàn bộ cộng đồng Jailbreak vì nó phụ thuộc hiệu quả vào việc khai thác phần mềm để phát triển.

Bạn có hy vọng rằng các nhóm Jailbreak sẽ có thể sử dụng bản ghi về khai thác mới nhất của Ian Beer để kết hợp hỗ trợ cho các thiết bị, phần mềm mới không? Hãy cho mọi người biết trong phần bình luận bên dưới nhé.

guest
0 bình luận
Inline Feedbacks
View all comments
Back to top button